## GDataTasksTasklist

GDataTasksTasklist — GData Tasks tasklist object

## Stability Level

Stable, unless otherwise indicated

## Functions

GDataTasksTasklist * | gdata_tasks_tasklist_new ()

## Types and Values

| GDataTasksTasklist
| GDataTasksTasklistClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataTasksTasklist

## Includes

    #include <gdata/services/tasks/gdata-tasks-tasklist.h>

## Description

GDataTasksTasklist is a subclass of GDataEntry to represent a tasklist from Google Tasks.

For more details of Google Tasks API, see the online documentation.

## Functions

### gdata_tasks_tasklist_new ()

    GDataTasksTasklist *
    gdata_tasks_tasklist_new (const gchar *id);

Creates a new GDataTasksTasklist with the given ID and default properties.

#### Parameters

id | the tasklist's ID, or `NULL`. | [allow-none]

#### Returns

a new GDataTasksTasklist; unref with `g_object_unref()`.

[transfer full]

Since: 0.15.0

## Types and Values

### GDataTasksTasklist

    typedef struct _GDataTasksTasklist GDataTasksTasklist;

All the fields in the GDataTasksTasklist structure are private and should never be accessed directly.

Since: 0.15.0

### GDataTasksTasklistClass

    typedef struct {
    } GDataTasksTasklistClass;

All the fields in the GDataTasksTasklistClass structure are private and should never be accessed directly.

Since: 0.15.0